.teacher-filters__card {
    padding: 15px;
}

.teacher-filters__bottom {
    align-items: flex-end;
}

.teacher-filters__query-input {
    background-color: white;
    width: 100%;
    background-image: none !important;
}

.teacher-filters__switch-group {
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 10px;
    margin-bottom: 0;
    min-width: max-content;
    height: 46px; /* Match height of select inputs (12px top/bottom padding + 20px line-height + 2px border) */
}

.teacher-filters__switch-label {
    margin-bottom: 0;
}

.teacher-filters__switch-text {
    font-weight: 500;
    color: #001e54;
}

.teacher-filters__views-group {
    flex: 0 0 auto;
    display: flex;
    flex-direction: row;
    gap: 4px;
    margin-bottom: 0;
    min-width: max-content;
    margin-left: auto;
    border: 1px solid #d3d9e1;
    height: 46px;
    border-radius: 8px;
    padding: 0 12px;
}